/*
 *  SyncFromProtoserv.cpp
 *  godivacli
 *
 *  Created by bisegni on 20/10/10.
 *  Copyright 2010 INFN. All rights reserved.
 *
 */

#include "SyncFromProtoserv.h"

/*!
 @method     Authentication
 @abstract   Costruttore
 */
SyncFromProtoserv::SyncFromProtoserv():Command("ganagrafica", "syncFromProtoserv"){
   
}
/*!
 @method     ~Authentication
 @abstract   Distruttore
 */
SyncFromProtoserv::~SyncFromProtoserv(){
    
}

/*!
 @method     setCodiceFiscale
 @abstract   Distruttore
 */
void SyncFromProtoserv::setCodiceFiscale(const char *newCodiceFiscale) {
	cf = newCodiceFiscale;	
}

/*!
 @method     setCodiceFiscale
 @abstract   Distruttore
 */
void SyncFromProtoserv::call() {
	Command::clearParam();
	xsd__string xsdCodiceFiscale;
	
	//configure the xsd_string for soap call
	xsdCodiceFiscale.__item = cf;
	
	//add the soap param
	Command::addServiceParam(&xsdCodiceFiscale);
	
	//call the webservice
	Command::call();
}
