/*
 *  GetUsernameFromNameSurname.cpp
 *  godivacli
 *
 *  Created by bisegni on 30/09/10.
 *  Copyright 2010 INFN. All rights reserved.
 *
 */

#include "GetUsernameFromNameSurname.h"

GetUsernameFromNameSurname::GetUsernameFromNameSurname():Command("gutility", "getUsernameForNameAndSurname"){
}

GetUsernameFromNameSurname::~GetUsernameFromNameSurname() {
}

void GetUsernameFromNameSurname::setName(const char* newName) {
	name = newName;
}


void GetUsernameFromNameSurname::setSurname(const char* newSurname) {
	surname = newSurname;
}

void GetUsernameFromNameSurname::call() {
	xsd__string xsdName;
	xsd__string xsdSurname;	
	
	//configure the xsd_string for soap call
	xsdName.__item = name;
	xsdSurname.__item = surname;
	
	//add the soap param
	Command::addServiceParam(&xsdName);
	Command::addServiceParam(&xsdSurname);
	
	//call the webservice
	Command::call();
	
	Command::clearParam();
}
