/*
 *  untitled.h
 *  godivacli
 *
 *  Created by Claudio Bisegni on 17/10/10.
 *  Copyright 2010 INFN. All rights reserved.
 *
 */
#ifndef GodivaCliOutput_H
#define GodivaCliOutput_H
#include <tclap/CmdLineOutput.h>
#include <iostream>
#include <string>

using namespace TCLAP;
using namespace std;

class GodivaCliOutput : public StdOutput {
public:
	virtual void failure(CmdLineInterface& c, ArgException& e)
	{ 
		cerr << "Param Error: " << endl
		<< e.what() << endl;
	}
	
	virtual void usage(CmdLineInterface& c)
	{
		cout << "my usage message:" << endl;
		list<Arg*> args = c.getArgList();
		for (ArgListIterator it = args.begin(); it != args.end(); it++)
			cout << (*it)->longID() 
			<< "  (" << (*it)->getDescription() << ")" << endl;
	}
	
	virtual void version(CmdLineInterface& c)
	{
		cout << c.getVersion() << endl;
	}
};
#endif;